# Class MemberIdSet

java.lang.Object
uk.ac.starlink.ttools.build.MemberIdSet

public class MemberIdSet extends Object
Set of identifiers used for class members during documentation.

Since:
  23 Jan 2023
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`MemberIdSet()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getUniqueId(String text)`
Returns an identifier not yet used for a given text string if possible.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MemberIdSet

public MemberIdSet()
Constructor.

## Method Details

### getUniqueId

public String getUniqueId(String text)
Returns an identifier not yet used for a given text string if possible. The return value is syntactically an XML identifier based on the input, and is different from all previous returns from this method of this class. If the presented text has been presented before, null is returned.

Parameters:
  `text` - input string
Returns:
  XML-friendy identifier, or null